%define realname flickr-sharp
%define ver_major 2.1
%def_enable doc

Summary: Flickr.Net Library for accessing the Flickr API
Name: lib%{realname}
Version: %ver_major.5
Release: alt5
License: LGPLv2+
Group: Development/Other
Packager: Mono Maintainers Team <mono@packages.altlinux.org>
Url: http://www.codeplex.com/FlickrNet
Source: %realname-%version.tar.bz2
Patch1: flickr-sharp-2.1.5-alt-monodoc.patch

BuildRequires: glib2-devel intltool mono-mcs
BuildRequires: mono-nunit-devel mono-data mono-mscorlib mono-web-devel mono-devel
BuildRequires: rpm-build-mono 
BuildRequires: /proc

%description
The Flickr.Net API is a .Net Library for accessing the Flickr API.
Written entirely in C# it can be accessed from with any .Net language in .Net Framework 1.1,
.Net Framework 2.0, .Net Compact Framework 2.0 and Mono.

%package devel
Summary: Development files %name
Group: Development/Other
Requires: %name = %version-%release

%description devel
This package includes development files for the %name.

%package doc
Summary: Development documentation for Flickr.NET API.
Group: Documentation
Provides: %name-monodoc = %version-%release
Obsoletes: %name-monodoc 
BuildPreReq: monodoc-devel
Requires: monodoc
BuildArch: noarch

%description doc
This package contains the API documentation for the Flickr.NET in
Monodoc format.

%prep
%setup -n %realname-%version -q
%patch1 -p1

%build
glib-gettextize --force --copy
intltoolize --force --copy --automake
aclocal
autoconf
automake --add-missing --gnu
%configure --disable-static
%make

%install
%make_install install DESTDIR=%buildroot
rm -f %buildroot%_monodir/%realname/%realname.*
gacutil -package %realname -root %buildroot/usr/lib -i build/flickr-sharp.dll

%files
%doc README NEWS AUTHORS COPYING ChangeLog
%_monodir/%realname
%_monogacdir/*

%files devel
%_pkgconfigdir/*

%if_enabled doc
%files doc
%_monodocdir/*
%endif

%exclude %_bindir/flickr-sharp

%changelog
* Wed Jul 08 2009 Alexey Shabalin <shaba@altlinux.ru> 2.1.5-alt5
- move pkgconfig files from main to devel package

* Tue Feb 24 2009 Alexey Shabalin <shaba@altlinux.ru> 2.1.5-alt4
- add mono-devel to BuildRequires

* Mon Dec 01 2008 Alexey Shabalin <shaba@altlinux.ru> 2.1.5-alt3
- rebuild with new macros _monodocdir
- build with mono-nunit version 2.2

* Tue Apr 01 2008 Alexey Shabalin <shaba@altlinux.ru> 2.1.5-alt2
- updated BuildRequires (fix build)

* Tue Jan 15 2008 Alexey Shabalin <shaba@altlinux.ru> 2.1.5-alt1
- Inital release for ALTLinux
